#
# spec file for package mpg123
#
# Copyright (c) 2006-2012 Pascal Bleser <pascal.bleser@opensuse.org>
# Copyright (c) 2006-2011 Detlef Reichelt <detlef@links2linux.de>
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.links2linux.org
#


%define soname 0
Name:           mpg123
Version:        1.22.4
Release:        1.1
Summary:        Realtime Player for MPEG Audio Layer 1, 2, and 3 Files
License:        LGPL-2.1
Group:          Productivity/Multimedia/Sound/Players
Url:            http://mpg123.org/
Source:         http://mpg123.org/download/%{name}-%{version}.tar.bz2
Source99:       mpg123-rpmlintrc
Patch1:         mpg123-remove_reldir_fallback.patch
BuildRequires:  alsa-devel
BuildRequires:  esound-devel
BuildRequires:  gcc
BuildRequires:  glibc-devel
BuildRequires:  libao-devel
BuildRequires:  libaudio-devel
BuildRequires:  libjack-devel
BuildRequires:  libpulse-devel
BuildRequires:  libtool
BuildRequires:  pkg-config
BuildRequires:  portaudio-devel
Requires:       libmpg123-%{soname} = %{version}
Obsoletes:      mpg123-arts < %{version}
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
%if 0%{?suse_version} > 1110
BuildRequires:  openal-soft-devel
BuildRequires:  libSDL-devel
%else
BuildRequires:  openal-devel
BuildRequires:  SDL-devel
%endif


%description
Mpg123 is a fast, free and portable MPEG audio player for Unix. It supports
MPEG 1.0/2.0/2.5 layers 1, 2, and 3, with CD quality playback even on
relatively slow CPUs.

%package -n lib%{name}-devel
Summary:        Include Files and Libraries mandatory for Development
Group:          Development/Libraries/C and C++
Requires:       glibc-devel
Requires:       lib%{name}-%{soname} = %{version}

%description -n lib%{name}-devel
This package contains the files needed to compile programs that use
the mpg123 library.

%package -n lib%{name}-%{soname}
Summary:        Realtime Player Library for MPEG Audio Layer 1, 2, and 3 Files
Group:          System/Libraries

%description -n lib%{name}-%{soname}
Mpg123 is a fast, free and portable MPEG audio player for Unix. It supports
MPEG 1.0/2.0/2.5 layers 1, 2, and 3, with CD quality playback even on
relatively slow CPUs.

%package esound
Summary:        Esound GNOME Sound System Daemon Support for %{name}
Group:          Productivity/Multimedia/Sound/Players

%description esound
Mpg123 is a fast, free and portable MPEG audio player for Unix. It supports
MPEG 1.0/2.0/2.5 layers 1, 2, and 3, with CD quality playback even on
relatively slow CPUs.

This package contains the plugin for esound (the GNOME sound system daemon)
output support.

%package pulse
Summary:        Pulseaudio Support for %{name}
Group:          Productivity/Multimedia/Sound/Players

%description pulse
Mpg123 is a fast, free and portable MPEG audio player for Unix. It supports
MPEG 1.0/2.0/2.5 layers 1, 2, and 3, with CD quality playback even on
relatively slow CPUs.

This package contains the plugin for Pulseaudio output support.

%package jack
Summary:        Jack Support for %{name}
Group:          Productivity/Multimedia/Sound/Players

%description jack
Mpg123 is a fast, free and portable MPEG audio player for Unix. It supports
MPEG 1.0/2.0/2.5 layers 1, 2, and 3, with CD quality playback even on
relatively slow CPUs.

This package contains the plugin for JACK output support.

%package portaudio
Summary:        Portaudio Support for %{name}
Group:          Productivity/Multimedia/Sound/Players

%description portaudio
Mpg123 is a fast, free and portable MPEG audio player for Unix. It supports
MPEG 1.0/2.0/2.5 layers 1, 2, and 3, with CD quality playback even on
relatively slow CPUs.

This package contains the plugin for Portaudio output support.

%package sdl
Summary:        SDL Support for %{name}
Group:          Productivity/Multimedia/Sound/Players

%description sdl
Mpg123 is a fast, free and portable MPEG audio player for Unix. It supports
MPEG 1.0/2.0/2.5 layers 1, 2, and 3, with CD quality playback even on
relatively slow CPUs.

This package contains the plugin for SDL output support.

%package nas
Summary:        NAS Support for %{name}
Group:          Productivity/Multimedia/Sound/Players

%description nas
Mpg123 is a fast, free and portable MPEG audio player for Unix. It supports
MPEG 1.0/2.0/2.5 layers 1, 2, and 3, with CD quality playback even on
relatively slow CPUs.

This package contains the plugin for NAS (Network Audio System) output
support.

%package all
Summary:        Support for all output plugins in %{name}
Group:          Productivity/Multimedia/Sound/Players
Requires:       %{name}-jack = %{version}
Requires:       %{name}-portaudio = %{version}
Requires:       %{name}-pulse = %{version}
Requires:       %{name}-sdl = %{version}

%description all
Mpg123 is a fast, free and portable MPEG audio player for Unix. It supports
MPEG 1.0/2.0/2.5 layers 1, 2, and 3, with CD quality playback even on
relatively slow CPUs.

This is an empty package that installs (requires) all output plugins for
%{name} that are kept in separate subpackages, except
- %{name}-esd (esound support)
- %{name}-nas (NAS (Network Audio Server) support)
which have to be installed separately.

Install this package if you want to make sure you have all supported
output plugins (except esd and nas).

%prep
%setup -q
%patch1

%build
%configure \
%ifarch i586
    --with-cpu=i586_dither      \
%endif
%ifarch i686
    --with-cpu=mmx              \
%endif
%ifarch x86_64
    --with-cpu=x86-64    \
%endif
    --with-default-audio=alsa   \
    --enable-modules=yes \
    --enable-ipv6=yes \
    --enable-network=yes \
    --enable-fifo=yes \
    --enable-gapless=yes \
    --with-optimization=0 \
    --with-module-suffix=.so

make %{?_smp_mflags}

%install
make DESTDIR=%{buildroot} install %{?_smp_mflags}

rm -f %{buildroot}%{_libdir}/lib%{name}.la
find %{buildroot} -type f -name "*.la" -delete -print

rm -f doc/README.WIN32
rm -f doc/Makefile*

install -d "%{buildroot}%{_docdir}/%{name}"
>rpmdocfiles.lst
pushd doc
for f in *.txt; do
    install -m0644 "$f" "%{buildroot}%{_docdir}/%{name}/$f"
    echo "%doc %{_docdir}/%{name}/$f" >>../rpmdocfiles.lst
done
/bin/ls -1d *|grep -E '^[[:upper:]]+.*' | while read f; do
    install -m0644 "$f" "%{buildroot}%{_docdir}/%{name}/$f"
    echo "%doc %{_docdir}/%{name}/$f" >>../rpmdocfiles.lst
done
popd #doc
cp -a doc/examples "%{buildroot}%{_docdir}/%{name}/"

cat >README-all <<EOF
This package is just a placeholder to install all available
%{name} plugins.
EOF

%post   -n lib%{name}-%{soname} -p /sbin/ldconfig
%postun -n lib%{name}-%{soname} -p /sbin/ldconfig

%files -f rpmdocfiles.lst
%defattr(-,root,root)
%doc %dir %{_docdir}/%{name}
%{_bindir}/mpg123
%{_bindir}/mpg123-id3dump
%{_bindir}/mpg123-strip
%{_bindir}/out123
%{_mandir}/man1/mpg123.1%{ext_man}
%{_mandir}/man1/out123.1%{ext_man}
%dir %{_libdir}/%{name}
%{_libdir}/%{name}/output_alsa.so
%{_libdir}/%{name}/output_dummy.so
%{_libdir}/%{name}/output_openal.so
%{_libdir}/%{name}/output_oss.so

%files -n lib%{name}-devel
%defattr(-,root,root)
%doc %{_docdir}/%{name}/examples
%{_includedir}/%{name}.h
%{_libdir}/lib%{name}.so
%{_libdir}/pkgconfig/lib%{name}.pc

%files -n lib%{name}-%{soname}
%defattr(0644,root,root)
%{_libdir}/lib%{name}.so.%{soname}
%{_libdir}/lib%{name}.so.%{soname}.*.*

%files esound
%defattr(-,root,root)
%{_libdir}/%{name}/output_esd.so

%files pulse
%defattr(-,root,root)
%{_libdir}/%{name}/output_pulse.so

%files jack
%defattr(-,root,root)
%{_libdir}/%{name}/output_jack.so

%files portaudio
%defattr(-,root,root)
%{_libdir}/%{name}/output_portaudio.so

%files sdl
%defattr(-,root,root)
%{_libdir}/%{name}/output_sdl.so

%files nas
%defattr(-,root,root)
%{_libdir}/%{name}/output_nas.so

%files all
%defattr(-,root,root)
%doc README-all

%changelog
* Mon Nov 30 2015 scarabeus@opensuse.org
- Run over with spec-cleaner
- Remove autotools deps as we do not autoreconf
- Version bump to 1.22.4:
  * Fix stupid regression introduced with a bugfix in 1.14.1 to make
    free format streams work again. It took 3 years for someone to notice.
    I added a regression test for that now!
- Version 1.22.3:
  * Fix UTF-16 surrogate detection because that used to falsely detect
    characters above 0xDFFF as surrogates (bug 216).
- Version 1.22.2:
  * Fix buffering for funny sample formats (namely, 24 bit), that do not
    fit nicely into 32768 bytes. Effect was a nasty endless loop where
    mpg123 needs to be externally killed.
* Wed Apr  1 2015 joerg.lorenzen@ki.tng.de
- update to 1.22.1:
  * Fix mpg123-id3dump when writing images with funny (manipulated)
    MIME type.
    Stupid mistake in length computation of the fallback file
    extension caused junk from memory being appended to the filename
    if the pointer size is less than 64 bit. For 64 bit pointers
    (or longer) it was correct by accident.
  * Fix pedantic build by cleaning up out123 source, also now really
    showing the encoding list in --longhelp instead of possibly,
    again, writing junk from memory in there.
  * Not linking libmpg123 against libltdl anymore (bug 215).
  * Update MSVC++ ports a bit to make them work again.
- version 1.22.0:
  * libmpg123 version 41
  * Build fix: Avoid name clash on OSX SDK with "normal" being
    defined in an enum already.
  * More resilience against folks who do not check errors and rather
    pass NULL pointers around (see NEWS.libmpg123).
    This changes some return values to MPG123_BAD_HANDLE instead of
    MPG123_ERR (always check for != MPG123_OK).
  * Fix WAV writing to stdout on Windows (bug 214).
  * Rework Xing/Info/Lame tag parsing, also detecting short ones
    without the TOC now.
    In addition, the warning about file size being off is a_lot
    more accurate now.
- version 1.21.0:
  * Use LL as shortcut for LOADLIST remote command, L is taken
    already (bug 210).
  * Less namespace pollution (MPG123_EXPORT in header instead of
    EXPORT, bug 212).
- version 1.20.1:
  * Make feed reader more efficient when skipping junk by early
    discarding of data from buffers to avoid re-parsing.
- version 1.20.0:
  * Added NEON optimized decoder for AArch64 (ARM 64bit environment)
  - enabled for --with-cpu=neon64 (NEON only) or --with-cpu=aarch64
    (runtime switch between neon and generic_fpu, like arm_fpu)
    configuration
  - compatible with aarch64-linux-gnu toolchains (from Ubuntu, debian)
    and Xcode 5
  * Added new binary out123 only with the audio output part of mpg123.
    This is a precursor to separating out said code into a simple audio
    output library. It also allows plugging in some processing in a pipe
    before feeding to output.
  * Prevent opendir(NULL) for unknown module directory when listing
    modules.
  * Some build fixes, among those fixing mpg123-id3dump on Windows.
- version 1.19.0:
  * libmpg123 version 40
  * Support float and 32/24 bit integer output also with fixed-point
    decoders (conversion from 16 bit precision).
  * A-Law output encoding is actually implemented now (Michael introduced
    the encoding back in the old days without ever implementing
    theconversion table, apparently).
  * Added --with-cpu=arm_fpu as decoder choice for runtime switch
    between plain fpu code and NEON.
  * Fix ARM builds to work properly on debian systems without special
    CFLAGS (NEON decoder, specifically).
  * Make scripts/benchmark-cpu.pl check the return value instead of
    delivering crazy timings for crashed mpg123.
  * Trigger track initialization in mpg123_info() to avoid use of
    uninitialized variables (watch out for MPG123_NEED_MORE return value!).
  * Fix integer code to 32 bit numbers where it would waste 64 bit
    on modern systems.
  * Add non-executable stack marking also to ARM assembly.
- version 1.18.1:
  * Do not close buffer twice with mpg123 -R (delete outdated code
    in control_generic(), fixing bug 207.
  * Do not mess around with first command line argument to extract
    program name, use a copy instead, fixing bug 205.
  * Prevent premature exit on timing of failure to open a track in
    the playlist and the user wanting to skip over it (bug 206).
  * Fixup of HTTP socket mess, also avoiding unnecessary FILE objects
    (bug 204, patch by Rajeev V. Pillai).
  * Fix playlist behaviour on slow HTTP streams, jumping back ('d' key)
    from first track stays at first track (thanks to Rajeev again,
    sub-bug of bug 206).
  * Fix Frankenstein check not to stumble over ID3v1 tags. My apologies.
    As a bonus, the position of the concerned code in the parser is
    now far more logical.
* Sat Feb  1 2014 pascal.bleser@opensuse.org
- update to 1.18.0:
  * libmpg123 version 39
  * big version increase for clear distinction regarding the 1.14.x regression
    fixes in libmpg123
  * regression fix: Ensure decoder reinitialization on combination of seek and
    resync (buffer overflow bug 201, introduced in 1.14.1)
  * regression fix: Make parsing really end on reaching of junk limit
    (introduced in 1.14.4)
  * add check for bad bit allocation value in layer I decoder (removes audible
    glitch in bug 201 test file)
  * avoid wrong error message about Frankenstein streams when gapless decoding
    disabled
  * be verbose about big header changes (Frankenstein streams); note that
    changes in samples per frame will confuse the seeking code, but decoding
    can get through
  * actually use the full routine to close tracks; avoids socket leak when
    playing multiple HTTP streams from a playlist (bug 203)
  * send correct host header when connecting through HTTP proxy (bug 202)
  * the console application now informs about changed major stream properties
    (prints out another header line)
* Fri Jan  3 2014 pascal.bleser@opensuse.org
- update to 1.17.0:
  * mpg123-id3dump --no-scan; for speedup
  * hide -C parameter from mpg123 --help when it is not supported
* Thu Nov  7 2013 obs@botter.cc
- update to 1.16.0:
  * New Huffman decoding scheme (configurable, on by default) brings
    nice boost to mpg123 to make it the fastest decoder on modern CPUs
    again.
  * new AVX decoder
  * assembly-optimized DCT36 for SSE and AVX
  * added configs for vintage 3DNow(ext) CPUs (AMD K6) utilizing
    assembly DCT36
  * added configs for vintage SSE CPUs (Pentium M), utilizing C DCT36
  * added FORMAT command to generic control
  * added support for ID3v2 APIC frames
  * added mpg123-id3dump as official companion to extract meta data
    (including writing of album art from APIC to files)
  * added mpg123-strip as official companion to strip dirt out of MPEG
    streams (including meta data)
  * not deleting ID3 data right after printing in generic control
  * module loader a bit more flexible with relative MPG123_MODDIR
  * Fix chopped-off playback with pulseaudio output: draining thei
    output now on closing.
  * SDL output fixup, a) not chopping off end and b) non-fatal underrun
  * added support for screen and iris-ansi terminals with --title (as
    prompted by patch from sf.net user canavan)
  * fixes/enhancements for sgi audio output
  * libmpg123: proper largefile aliases for proper systems (FreeBSD
    with one one-and-only off_t
  * This enables client software that insists on defining pointless
    _FILE_OFFSET_BITS.
  * wrapper script src/mpg123-with-modules to ease the pain of running
    mpg123 with modules without installation (setting MPG123_MODDIR)
  * removed ALSA 0.5 code (unused for longtime, last GPL-only bit)
* Thu May 23 2013 pascal.bleser@opensuse.org
- update to 1.15.4:
  * writing CDDA data via --cdr works again
  * the return values of WAV/CDR writing routines now properly indicate error
    to avoid stupid endless loop of "smart" audio writing code that wants to
    handle interruptions
  * fix bug in mpg123_chomp_string() (introduced in 1.15.1), empty lines were
    badly treated; only usage in mpg123 is for parsing HTTP redirect headers;
    malicious HTTP servers might exploit that (possibility to zero bytes in
    memory)
* Wed Apr  3 2013 pascal.bleser@opensuse.org
- update to 1.15.3:
  * fix WAV writing. AGAIN. People love to decode WAV to stdout in various ways
    that started to get broken with me starting to care for people who like to
    write to full disks. I frikkin' HATE this rat race! I'm even starting to
    SHOUT. Now, the code prefers to write no header at all (when there is no
    actual output) instead of possibly writing too many misleading ones.
    Getting the blame for breaking dir2ogg repeatedly while trying to cope with
    one fatal situation that you cannot really cope with sucks. Big time. I
    hope that's it now!
* Wed Mar  6 2013 obs@botter.cc
- update to 1.15.1
  * libmpg123 API version 37
  * Fix corner case in HTTP communication with missing path in Location
    header (bug 187).
  * Prevent nasty alignment issues by not guessing about assembler
    alignment when .balign is available (bug 188).
  * Added --continue (also see scripts/conplay).
  * Added number row to terminal control keys for 10%% jump points (for
    navigating long tracks).
  * Set xterm title always if asked, disregarding the -q switch (if you
    want fully quiet, don't specify --title).
  * Enable terminal mode in OS/2 by explicitly checking for and using
    os2term library.
  * Getting WAV/AU/CDR writing back to a sane state while still catching
    out-of-disk when writing headers (none in case of CDR) but removing
    that initial test that prevented writing on any non-seekable file
    (like, /dev/stdout to a pipe).
  * Added native audio output for QNX (thanks to Mike Gorchak), also
    improving portability of configure script while at that.
  * more robust recovery from ALSA issues (device suspend)
  * Fix crash in module loader on *BSD.
  * Extend time display to switch to hours above 60 minutes (hh:mm:ss,
    ditching the sub-second precision)
  * really include dithering in default x86-64 build.
  * Fix mpg123_scan() not properly seeking back for all types of files
    (bug 3582628 ... it got a different number on sf.net now ...
    brilliant, folks!).
  * Prevent false positives for "Frankenstein!" when using mpg123_scan().
  * Fix printing of negative positions with buffer (bug 186).
  * Accept application/x-scpls as additional MIME type.
  * Try to handle certain Windows toolchains that miss EOVERFLOW.
* Fri Jul 27 2012 pascal.bleser@opensuse.org
- update to 1.14.4:
  * fix resync logic to properly work again (used to prematurely end stream on
    bad headers)
  * fix aeon-old regression (since 1.11.0) about short seeks: bit reservoir was
    reset also for short seeks that did not break continuity
  * fixed sample-accurate seek for files without full gapless info
- changes from 1.14.3:
  * fix regression from 1.14.1 in parsing of bad free format streams, avoiding
    apparently endless loops (just very slow reading, in fact)
* Sat May 12 2012 pascal.bleser@opensuse.org
- update to 1.14.2:
  * fix writing of WAV to stdout-- it is still not the best of ideas to do so,
    though; at least make sure to fix rate and channels
* Tue May  8 2012 pascal.bleser@opensuse.org
- update to 1.14.1:
  * fix subtle bug that could trigger failure to detect a format change on
    resync when using libmpg123's feeder API; that bug has been there since
    ages but was neutralized by other (buggy) behaviour of the parser before
    the little overhaul: The Law of an Even Number of Bugs
* Tue May  1 2012 pascal.bleser@opensuse.org
- plugin packages are also available as -32bit on x86_64 now
- update to 1.14.0:
  * libmpg123 API version 36 (see NEWS.libmpg123)
  * Add --ignore-streamlength.
  * Also deal with concatenated (Frankenstein) streams: Not applying gapless
    cutting once we're over the announced number of frames.
  * Add --lyrics for printout of lyrics (from USLT in ID3v2).
  * Added handling of SIGUSR1 and SIGUSER2 to terminal control code,
    configurable via --ctrlusr1 and --ctrlusr2.
  * ReplayGain: Try to detect LAME below 3.95 for the different reference level
    of 83 dB (adding preamp of 6 dB). Version 3.95 itself (not 3.95.1) I cannot
    detect. User-set gain values are not touched.
  * Add the new/old WRITE_SAMPLE variant from MPlayer that makes the generic
    decoder faster on older CPUs (x86 at least). Not on x86-64, though (it's
    not enabled per default there).
  * Handle out-of-disk in the file writers (a bit, see
    http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=67259)
  * 32 bit output for sndio output
  * Remote control interface knows LOADLIST command now.
* Sun Mar 25 2012 pascal.bleser@opensuse.org
- update to 1.13.7:
  * fix endless loop in module loader when starting mpg123 in a directory that
    does not exist
* Sun Mar 11 2012 pascal.bleser@opensuse.org
- update to 1.13.6:
  * fix output of one random character in -vvv mode for ID3v2.2 frames (no
    buffer overflow)
* Wed Mar  7 2012 pascal.bleser@opensuse.org
- update to 1.13.5:
  * fix reading of ReplayGain values from Lame tag (both actual values and the
    distinction between audiophile / radio)
  * accept application/octet-stream as input from HTTP
  * update man page with encodings
* Fri Sep  9 2011 detlef@links2linux.de
- update to 1.13.4:
  * Fix bogus error on resync with big offsets (hits systems that have bigger
    off_t than int), bug 3393801.
  * Fix windows binary package build script again with plugdir.
* Sat Apr 23 2011 detlef@links2linux.de
- update to 1.13.3:
  * Fix an endless loop on bad headers, bug 3267863.
  * Prevent compiler warnings about unused variables with gcc 4.6 .
  * Fix return value handling of getaddrinfo(), bug 3288333.
  * Make decwin size computation work for OPT_ARM and sizeof(long) != 4
    (bug 3288360).
* Sat Mar  5 2011 reddwarf@opensuse.org
- remove .la files
- run spec-cleaner
- remove pre-11.1 conditionals
- the audio output plugins are plugins for the command line, not
  for the library, package according
* Wed Feb 23 2011 pascal.bleser@opensuse.org
- update to 1.13.2:
  * fixes a long-standing bug with unexpected early calls of mpg123_decoder()
  * fixes a regression with pitch changes and the generic control interface
    when no track is loaded
* Thu Jan  6 2011 pascal.bleser@opensuse.org
- update to 1.13.1:
  * fixes a stupid regression that broke MPG123_FORCE_FLOAT and
    MPG123_FORCE_8BIT (--float and --8bit command line switches), caused by the
    introduction of 24-bit format support
  * the private/extension header bit is now ignored in the parser's stream
    checking
* Mon Oct 18 2010 detlef@links2linux.de
- update to 1.13.0:
  * libmpg123 API version 29 (mpg123_encsize(), MPG123_SKIP_ID3V2,
    mpg123_strlen(), 24 bit output, ARM decoder)
  * New optimization: ARM NEON (Cortex A series) -- kudos to Taihei, again!
  * Added 24 bit integer output (truncation of 32 bit integer)
  * Cleanup of symbols for the static library: Only have global symbols that
    are actually needed, prefix them with INT123_ to avoid conflicts.
  * Added --streamdump to get a copy of the data libmpg123 used.
  * Added --icy-interval and tweaked libmpg123 to make playback of ICY stream
    dumps possible.
  * Added possibility to set module file suffix at build -- to be able to
    avoid .la files for plugins.
  * Removed compiler directives for alignment and disable associated tests.
    The tests don't work on a wide range of compilers anyway, and newer gccs
    do have force_align_arg_pointer to fix bad stacks.
  * There is no ChangeLog file anymore... it was autogenerated from subversion
    log anyway, so look there if interested.
* Thu Oct  7 2010 pascal@links2linux.de
- update to 1.12.5:
  * fixes a buffer overflow in the mpg123 frontend application related to the
    printing of ID3 tags with embedded null characters in non-UTF-8 environments
* Sat Sep 18 2010 detlef@links2linux.de
- update to 1.12.4:
  * Fix formatting of meta data printout in UTF-8 (string length computing).
    As a collorary, ID3v1 data is reduced to ASCII in UTF-8 environment, as we
    do never know what specific encoding that has.
* Sun Jul 11 2010 detlef@links2linux.de
- update to 1.12.3:
  * Fix a long-standing bug that subtly broke http streaming with ICY meta data
    when reading a bit more quickly
* Mon Jun 21 2010 pascal@links2linux.de
- update to 1.12.2:
  * fix for memory corruption on systems that hand out memory in
    the upper half of the address space
  * several other improvements in portability and binary
    compatibility with respect to small/large file setups
* Sun May  9 2010 herbert@links2linux.de
- add baselib.conf
* Wed Mar 31 2010 pascal@links2linux.de
- update to 1.12.0:
  * reverses the changes made in the previous release, 1.11.0
  * libmpg123_64.so it introduced on largefile-sensitive systems is gone now
  * libmpg123 provides a dual mode interface similar to the libc
  * this version marks the first stable ABI for largefile-sensitive systems
    since mpg123 1.4.x
  * as a side effect of dual mode hacking, replacement I/O using
    client-provided handles (void pointer) has been added to the API
  * the introduction of AI_ADDRCONFIG has been made conditional based on the
    actual availability of that flag on a system
* Sun Mar 21 2010 pascal@links2linux.de
- update to 1.11.0:
  * improvements to hybrid setups of small and large file support
  * IPv6 behavior was improved
  * a potential ICY reading issue was resolved
  * assembler code was cleaned up
* Sat Feb 27 2010 detlef@links2linux.de
- update to 1.10.1:
  * Help multilib setups that boldly assume that headers are invariant by
    removing the consistency check in mpg123.h and instead just adding a
    suffix to relevant functions when _FILE_OFFSET_BITS is defined. Invalid
    setups will now fail at the linking stage instead of the preprocessing
    stage. That should cover bug 2934488.
  * Fixes for gapless decoding:
    o Correctly skip padding larger than one MPEG frame (strange, but occurs).
    o Bug 2950218 (proper gapless cuts for seeking near the end).
  * Make sure the search for the first header aborts after 64K of one-byte
    reads, as always intended (bug 2951334).
    Certain files (or even random data) were able to fool mpg123 sufficiently
    enough that it basically reads through the whole file in 1-byte steps in
    search for MPEG data. The limit of 64K will very likely be configurable
    in a future mpg123 version.
  * Fix subtle bug with seeking in feeder mode: A seek close to the current position
    (meaning: the needed data offset is already in mpg123's buffer chain)
    resulted in skipped bytes.
  * Improve the feeder mode for handling large amounts of junk at the beginning,
    including proper passing of the request for more data when trying to determine
    free format frame size. This also fixes endless looping as reported in bug 2951334.
  * The parser code still needs overhaul. It is not pretty.
  * Compile fix for OpenAL (with strict compiler).
* Sun Dec  6 2009 pascal.bleser@opensuse.org
- update to 1.10.0:
  * added pitch command to control interface
  * HTTP header field and MIME type parsing now case-insensitive (fixes bug
    2904736); MIME-parsing for non-playlist URLs is done the same way as from
    playlists now; we interpret MIME types only to before a ";" (see bug
    2836904)
  * add experimental framebyframe API
* Fri Nov 20 2009 detlef@links2linux.de
- update to 1.9.2:
  * many bugfixes
* Fri Oct  9 2009 pascal.bleser@opensuse.org
- update to 1.9.1:
  * a set of bugs have been fixed, along with some long- and short-standing
    regressions, namely NtoM CPU creep and parsing of Foobar2000-style RVA info
    in ID3v2 tags
  * new openal output plugin
* Sun Jun 14 2009 pascal.bleser@opensuse.org
- update to 1.8.1:
  * adds the proper integer/fixed point decoding that accidentally had been
    promised for the 1.8.0 release
  * minor bugs and build system problems were fixed
* Thu Jun 11 2009 pascal.bleser@opensuse.org
- update to 1.8.0:
  * major performance improvements (including new SSE code) for x86-64 systems
    (and others)
  * fixes to the correctness of decoding
  * the fixed point decoding (compile-time option) now works properly for layer
    1 and 2
* Mon Apr 27 2009 pascal.bleser@opensuse.org
- update to 1.7.3:
  * a bad-sounding regression with seeking in layer 3 files has been fixed;
    this regression had been introduced in 1.7.0 with the --doublespeed
    revival
* Mon Apr  6 2009 pascal.bleser@opensuse.org
- renamed mpg123-devel to libmpg123-devel, with a Provides:mpg123-devel
  for compatibility with existing spec files
- split out support for pulse, jack, portaudio and sdl into subpackages
- the empty package lib%%%%{name}-%%%%{soname}-all pulls in all subpackages with
  output engine support
- update to 1.7.2:
  * fixes a vulnerability in the ID3v2 code with invalid text encoding values
- changes from 1.7.1:
  * fixes a regression that prevented the RVA changes in the generic control
    interface or from the terminal from resulting in something other than
    silence
- changes from 1.7.0:
  * significant overhaul of the decoder engine to be more flexible at runtime
    and include more output formats
  * float and 32-bit integer output are now standard features of a normal build
  * the --doublespeed functionality is back again after being silently absent
    in the 1.x series
  * support for configuring minimal libmpg123 builds by stripping out certain
    features
* Sun Jan 11 2009 detlef@links2linux.de
- new upstream version <1.6.4>
  * frame fill fix
* Sun Dec 21 2008 detlef@links2linux.de
- new upstream version <1.6.3>
  * Fix sf.net bug #2413608: Make sure a new format does not slip through after
    early close.
  * Include equalizer example file and a piece of wrapper code for MSVC++ in
    the distribution.
  * Do not claim to support unsigned 16 bit encoding (never been the case).
  * Fix default fifo detection, now it actally activates fifo support!
* Tue Nov 11 2008 detlef@links2linux.de
- new upstream version <1.6.2>
  * fixing that typo in configure.ac that prevents IPv6 auto detection
* Mon Nov 10 2008 guru@unixtech.be
- update to 1.6.1:
  * small bugfix for large file offsets in the remote control interface
  * some portability fixes
* Wed Nov  5 2008 guru@unixtech.be
- use %%%%{_libdir}/%%%%{name}-%%%%{soname}/ instead of %%%%{_libdir}/%%%%{name}/ for
  output plugins, to enable side-by-side installation of different
  SONAME versions of the package (they would conflict on the output
  plugins otherwise)
- added patch to remove the falling back on ../lib/mpg123 when loading
  output modules
- splitted out library and codecs, following SUSE Shared Library Policy
  package naming
- added Provides:mpg321
- splitted out arts and esd support because of dependencies and because
  those sound daemons are rarely used nowadays
- update to 1.6.0:
  * decoding improvements were made
  * new commands and API features were added for fast fuzzy seeking (using
    estimates or the Xing VBR TOC)
  * bugs were fixed
  * largefile support
* Sat Aug 30 2008 detlef@links2linux.de
- new upstream version <1.5.1>
* Sat Aug  2 2008 detlef@links2linux.de
- new upstream version <1.5.0>
* Fri May 23 2008 detlef@links2linux.de
- new upstream version <1.4.3>
* Sun Apr 20 2008 detlef@links2linux.de
- new upstream version <1.4.2>
* Sat Apr 19 2008 detlef@links2linux.de
- build all output plugins
- split devel rpm
- mpg123 provides mpg321 now
* Tue Apr  8 2008 detlef@links2linux.de
- new upstream version <1.4.1>
* Mon Apr  7 2008 detlef@links2linux.de
- new upstream version <1.4.0>
* Sun Mar  9 2008 detlef@links2linux.de
- new upstream version <1.3.1>
* Wed Mar  5 2008 detlef@links2linux.de
- new upstream version <1.3.0>
* Thu Feb 21 2008 detlef@links2linux.de
- new upstream version <1.2.1>
* Fri Feb  1 2008 detlef@links2linux.de
- new upstream version <1.2.0>
* Thu Jan 17 2008 detlef@links2linux.de
- new upstream version <1.1.0>
* Fri Dec 28 2007 detlef@links2linux.de
- new upstream version <1.0.1>
* Sun Dec 23 2007 detlef@links2linux.de
- new upstream version <1.0.0>
* Tue Dec 18 2007 detlef@links2linux.de
- new upstream version <1.0rc3>
* Mon Nov  5 2007 detlef@links2linux.de
- new upstream version <0.68>
* Tue Aug  7 2007 detlef@links2linux.de
- new upstream version <0.67>
* Thu Jun  7 2007 detlef@links2linux.de
- new upstream version <0.66>
* Tue Feb 13 2007 detlef@links2linux.de
- new upstream version
* Wed Oct 18 2006 detlef@links2linux.de
- rebuild for packman
* Thu Aug 31 2006 guru@unixtech.be
- new upstream version
* Wed Aug 23 2006 guru@unixtech.be
- changed audio backend to alsa
- new upstream version
* Mon Jul 31 2006 guru@unixtech.be
- new upstream version
* Tue Jul 25 2006 guru@unixtech.be
- new package
